Package org.eclipse.emf.cdo.server

# Interface IStoreAccessor.NewIDSupport

All Superinterfaces:
  `InternalCDOBranchManager.BranchLoader`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `IQueryHandlerProvider`, `IStoreAccessor`

All Known Implementing Classes:
  `LongIDStoreAccessor`, `StoreAccessor`, `StoreAccessorBase`

Enclosing interface:
  `IStoreAccessor`

public static interface IStoreAccessor.NewIDSupport extends IStoreAccessor
An extension interface for `store accessors` that support units.

Since:
  4.24
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

`IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.NewIDSupport, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`NEW_BRANCH, NEW_LOCAL_BRANCH`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`getNewID(CDORevision revision)`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`createBranch, loadBranch, loadBranches, loadSubBranches`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

`loadCommitData, loadCommitInfos`

### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

`getQueryHandler`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

`commit, createChunkReader, getSession, getStore, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

## Method Details

### getNewID

CDOID getNewID(CDORevision revision)